# WOK
TKWOK
WOKTools

# WOKTools_CompareOfHAsciiString Class Reference

`#include <WOKTools_CompareOfHAsciiString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKTools_CompareOfHAsciiString ()
Standard_EXPORT Standard_Boolean | IsLower (const Handle(TCollection_HAsciiString)&Left, const Handle(TCollection_HAsciiString)&Right) const
| returns True if <left> is lower than <right>.
Standard_EXPORT Standard_Boolean | IsGreater (const Handle(TCollection_HAsciiString)&Left, const Handle(TCollection_HAsciiString)&Right) const
| returns True if <left> is greater than <right>.
Standard_EXPORT Standard_Boolean | IsEqual (const Handle(TCollection_HAsciiString)&Left, const Handle(TCollection_HAsciiString)&Right) const
| returns True when <right> and <left> are equal.

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_CompareOfHAsciiString::WOKTools_CompareOfHAsciiString | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean WOKTools_CompareOfHAsciiString::IsEqual | ( | const Handle(TCollection_HAsciiString)& | Left,
|  | const Handle(TCollection_HAsciiString)& | Right
| ) | const

Standard_EXPORT Standard_Boolean WOKTools_CompareOfHAsciiString::IsGreater | ( | const Handle(TCollection_HAsciiString)& | Left,
|  | const Handle(TCollection_HAsciiString)& | Right
| ) | const

Standard_EXPORT Standard_Boolean WOKTools_CompareOfHAsciiString::IsLower | ( | const Handle(TCollection_HAsciiString)& | Left,
|  | const Handle(TCollection_HAsciiString)& | Right
| ) | const

void WOKTools_CompareOfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKTools_CompareOfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

void* WOKTools_CompareOfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- WOKTools_CompareOfHAsciiString.hxx